using System;

namespace GPS
{
	public enum Status
	{
		Unknown = 0,
		Information = 1,
		Question = 2,
		Error = 3,
		Warning = 4,
		Forbidden = 5,
		Receive = 6,
		Send = 7,
		Alert = 8,
		Alarm = 9,
		NotStarted = 10,
		InProgress = 11,
		Completed = 12,
		Waiting = 13,
		Deferred = 14,
		NotAccepted = 15,
		Validating = 16,
		RequestPending = 17,
		RequestCancel = 18,
		RequestApproved = 19,
		RequestDenied = 20,
		ServiceUnknown = 21,
		ServiceStarted = 22,
		ServicePauzed = 23,
		ServiceStopped = 24,
		Available = 25,
		Preparing = 26,
		Initialize = 27,
		RequestChanged = 28,
		InvalidConfiguration = 29,
		NoDataFound = 30,
		Cancel = 31,
		Stopped = 32,
		Deleted = 33,
		IsPresent = 34,
		IsAbsent = 35,
		IsJobtrip = 36,
		Training = 37,
		Meeting = 38,
		PIPException = 39,
		Pause = 40,
		Prepared = 41,
		Corrected = 42,
		RequestForward = 43,
		NoWorkingDay = 44,
		PriorityConflict = 46,
		Locked = 47,
		ToBeCalculated = 48,
		IsNotPresent = 49,
		NotActive = 50,
		Active = 51,
		ReadOnly = 54,
        Blocked = 58,
        FollowUp = 59

	}
}
